- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents/list#body.ListConnectorEventsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents/list#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseAlerts.connectorEvents.list

List page of ConnectorEvents.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/connectorEvents`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list ConnectorEvents for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{caseAlert} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of ConnectorEvents to return. The service may return fewer than this value. If unspecified, at most 50 ConnectorEvents will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `connectorEvents.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `connectorEvents.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of ConnectorEvents. Supported filter fields: \* `entityIdentifier`: Filter by the user-facing name. \* `entityType`: Filter by the entity type. \* `action`: Filter by the action. \* `environmentsJson`: Filter by the environments. Example: `filter="entityIdentifier='ConnectorEvent 1'"` |
| `orderBy` | `string` Optional. Configures ordering of ConnectorEvents in the response. If not specified, ConnectorEvents are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported fields: \* `entityIdentifier` |
| `expand` | `string` Optional. Configures expansion of ConnectorEvents in the response. If not specified, ConnectorEvents are returned without any expansion. The expand string is a comma separated list of fields. Supported fields: \* `eventJsonData` |

### Request body

The request body must be empty.

### Response body

Response message for connectorEvents.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connectorEvents": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents#ConnectorEvent`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `connectorEvents[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.connectorEvents#ConnectorEvent`)`` The list of ConnectorEvents. Ordered by Id by default. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of ConnectorEvents. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.connectorEvents.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).